import { Ast, Type } from 'thingtalk';
declare enum ValueCategory {
    YesNo = 0,
    MultipleChoice = 1,
    Number = 2,
    Measure = 3,
    RawString = 4,
    Password = 5,
    Date = 6,
    Time = 7,
    Unknown = 8,
    Picture = 9,
    Location = 10,
    PhoneNumber = 11,
    EmailAddress = 12,
    Contact = 13,
    Command = 14
}
export default ValueCategory;
declare namespace ValueCategory {
    function fromType(type: Type): ValueCategory;
    function fromValue(value: Ast.Value): ValueCategory;
    function toAskSpecial(expected: ValueCategory | null): string | null;
}
